
GammaLib - Action #264

Feature # 226 (Closed): Parallelize maximum likelihood computation

Implement code parallelization in GammaLib

07/02/2012 12:13 PM - Knödlseder Jürgen

Status: Closed Start date: 06/16/2012

Priority: Normal Due date:  

Assigned To:  % Done: 100%

Category:  Estimated time: 35.00 hours

Target version: Stage Jean-Baptiste Cayrou   

Description

Implement the validated code parallelization scheme in GammaLib.

The outer loop in the method eval in source:src/obs/GObservations_optimizer.cpp needs to be parallelized.

Related issues:

Blocks GammaLib - Action # 265: Validate parallelization of GammaLib Closed 06/16/2012

Blocked by GammaLib - Action # 263: Validate the test program Closed 06/16/2012

History

#1 - 07/02/2012 12:15 PM - Knödlseder Jürgen

- Description updated

- Estimated time set to 35.00

- Remaining (hours) set to 35.0

#2 - 07/05/2012 04:33 PM - Anonymous

- Status changed from New to In Progress

#3 - 07/28/2012 12:53 AM - Knödlseder Jürgen

- Target version deleted (Stage Jean-Baptiste Cayrou)

#4 - 07/28/2012 12:53 AM - Knödlseder Jürgen

- Target version set to Stage Jean-Baptiste Cayrou

#5 - 07/30/2012 10:28 AM - Anonymous

- Status changed from In Progress to Closed

- Remaining (hours) changed from 35.0 to 0.0

#6 - 07/30/2012 02:11 PM - Anonymous

- % Done changed from 0 to 100
